## mingw-w64-texstudio-4.9.0-1.src.tar.zst

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)

project(TeXstudio VERSION 4.9.0 LANGUAGES C CXX)
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_DEBUG_POSTFIX "d")
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

option(TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER "Enable/Disable internal crash handler" OFF)
if(${TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER})
	message(STATUS "Use c++23 crash handler.")
	set(CMAKE_CXX_STANDARD 23)
	set(CMAKE_CXX_STANDARD_REQUIRED ON)
	set(CMAKE_CXX_EXTENSIONS OFF)
	set(CMAKE_CXX_FLAGS "-g1 -O2 -Wall -Wextra")
else()
    if(APPLE)
    set(CMAKE_CXX_STANDARD 20)
    else()
    set(CMAKE_CXX_STANDARD 20)
    endif()
endif()




list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(GitInfo)
if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
	git_wc_info(${PROJECT_SOURCE_DIR} VARPREFIX)
	add_definitions(-DTEXSTUDIO_VERSION="${VARPREFIX_WC_LATEST_TAG_LONG}")
	message(STATUS "The current git hash is ${VARPREFIX_WC_REVISION_HASH}")
	message(STATUS "The current git describe is ${VARPREFIX_WC_LATEST_TAG_LONG}")
else()
	add_definitions(-DTEXSTUDIO_VERSION="${CMAKE_PROJECT_VERSION}")
	message(STATUS "No git present.")
    unset(GIT_FOUND)
	set(VARPREFIX_WC_LATEST_TAG_LONG "${CMAKE_PROJECT_VERSION}+0+0")
endif()
include(cmake/project_version.cmake)
include(GNUInstallDirs)

if(MSVC)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_CRT_SECURE_NO_WARNINGS -D_UNICODE -DUNICODE)
	add_compile_options(/wd4267 /wd4244)
	add_compile_options($<$<CXX_COMPILER_ID:MSVC>:/MP>)
else()
	add_compile_options(-Wno-deprecated-declarations)
endif()

if(WIN32 AND NOT MSVC)
        add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-fpermissive>)
        #add_compile_options(-Wa,-mbig-obj)
endif()

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Xml Concurrent Widgets UiTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS PrintSupport Svg Qml REQUIRED)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS LinguistTools QUIET)
endif()

message(STATUS "building for Qt ${QT_VERSION_MAJOR}")

# Source
add_subdirectory(src)

# qtsingleapplication
add_subdirectory(src/qtsingleapplication)

# main
set(RESOURCE_FILES 
	texstudio.qrc
	symbols.qrc
	completion.qrc
	images.qrc
)
if(APPLE)
    file(GLOB manual
        utilities/manual/build/html/*.html
    )
    set(manual ${manual} utilities/manual/build/html/searchindex.js)
    file(GLOB images
        utilities/manual/build/html/_images/*.webp
    )
    file(GLOB static
        utilities/manual/build/html/_static/*
    )
    file(GLOB static_scripts
        utilities/manual/build/html/_static/scripts/*
    )
    file(GLOB static_styles
        utilities/manual/build/html/_static/styles/*
    )
    file(GLOB design_static
        utilities/manual/build/html/_sphinx_design_static/*
    )
    file(GLOB_RECURSE templates
       templates/*
    )
    file(GLOB_RECURSE translation
       translation/*.qm
    )
    file(GLOB_RECURSE dictionaries
       utilities/dictionaries/*
    )

    set(OSX_FILES
        texstudio.icns
        utilities/latex2e.html
        utilities/latex2e.css
		utilities/list.png
		utilities/manual/source/CHANGELOG.md
        ${templates}
        ${dictionaries}
        ${translation}
    )
else()
    set(OSX_FILES "")
endif()

set(TRANSLATION_FILES
	translation/texstudio_en.ts
)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
	if(${QT_VERSION_MINOR} LESS_EQUAL 6)
		message(STATUS "Generate translation source option.")
		qt6_add_lupdate(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
	if(${QT_VERSION_MINOR} GREATER_EQUAL 7)
                message(STATUS "Generate translation source option. (>= Qt6.7)")
                qt6_add_translations(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
endif()

if(WIN32)
	set(SOURCE_FILES ${SOURCE_FILES} win.rc)
endif()
if(UNIX AND NOT APPLE AND NOT HAIKU)
	add_subdirectory(src/xkb)
endif()

# Hunspell
find_package(Hunspell QUIET)
if(Hunspell_FOUND)
	message(STATUS "Using system Hunspell")
	set(HUNSPELL_SOURCE_LINK 0)
	get_filename_component(HUNSPELL_LIB_NAME ${HUNSPELL_LIBRARIES} NAME)
	string(FIND ${HUNSPELL_LIB_NAME} "static" HUNSPELL_IS_STATIC_POS)
	if(${HUNSPELL_IS_STATIC_POS} GREATER 0)
		set(HUNSPELL_SOURCE_LINK 1)
	endif()
	if(${HUNSPELL_SOURCE_LINK} GREATER 0)
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" ON)
	else()
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" OFF)
	endif()
else()
	message(STATUS "Using internal Hunspell")
	add_subdirectory(src/hunspell)
	set(HUNSPELL_SOURCE_LINK 2)
	set(HUNSPELL_IS_STATIC ON)
endif()
if(${HUNSPELL_IS_STATIC})
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DHUNSPELL_STATIC)
endif()

# qcodeedit
add_subdirectory(src/qcodeedit)

# debughelper
add_subdirectory(src/debug)

# latexparser
add_subdirectory(src/latexparser)

# symbolpanel
add_subdirectory(src/symbolpanel)

#qtermwidget
if(${QT_VERSION_MAJOR} LESS_EQUAL 5)
    find_package(QTermWidget QUIET)
    if(QTermWidget_FOUND)
        message(STATUS "Using QTermWidget5")
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DINTERNAL_TERMINAL)
    endif()
endif()

# QuaZIP
find_package(QuaZip-Qt${QT_VERSION_MAJOR} QUIET)
if(QuaZip-Qt${QT_VERSION_MAJOR}_FOUND)
	message(STATUS "quazip 1.x found")
else()
	find_package(QuaZip QUIET)
	if(QUAZIP_FOUND)
		message(STATUS "Using system QuaZIP")
		set(QUAZIP_SOURCE_LINK 0)
		get_filename_component(QUAZIP_LIB_NAME ${QUAZIP_LIBRARIES} NAME)
		string(FIND ${QUAZIP_LIB_NAME} "static" QUAZIP_IS_STATIC_POS)
		if(${QUAZIP_IS_STATIC_POS} GREATER 0)
			set(QUAZIP_SOURCE_LINK 1)
		endif()
		if(${QUAZIP_SOURCE_LINK} GREATER 0)
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" ON)
		else()
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" OFF)
		endif()
	else()
                message(STATUS "Using internal QuaZIP and internal zlib")
                if(WIN32)
                    set(ZLIB_BUILD_EXAMPLES OFF)
                    set(SKIP_INSTALL_LIBRARIES ON)
                    add_subdirectory(src/zlib-1.3.1)
                    set(ZLIB_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1)
                    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlibd.dll)
                    else()
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlib.dll)
                    endif()
                endif()
		set(BUILD_SHARED_LIBS OFF)
  		set(QUAZIP_INSTALL OFF)
                set(QUAZIP_USE_QT_ZLIB OFF)
                set(QUAZIP_ENABLE_TESTS OFF)
		set(QUAZIP_BZIP2 OFF)
		set(QUAZIP_IS_STATIC ON)
		set(QUAZIP_SOURCE_LINK 2)
		add_subdirectory(src/quazip)
	endif()
	if(${QUAZIP_IS_STATIC})
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DQUAZIP_STATIC)
	endif()
endif()

# Options
if(NOT MSVC)
	option(TEXSTUDIO_ENABLE_CRASH_HANDLER "Enable/Disable internal crash handler" ON)
	if(${TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER})
	    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DCPP_CRASH_HANDLER)
	    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
	else()
	    if(NOT ${TEXSTUDIO_ENABLE_CRASH_HANDLER})
		message(STATUS "Internal crash handler disabled as you wish.")
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
	    endif()
	endif()
else()
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
endif()

option(TEXSTUDIO_BUILD_ADWAITA "Enable/Disable internal adwaita-qt style" ON)
if(TEXSTUDIO_BUILD_ADWAITA)
    find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DADWAITA)
    message(STATUS "integrate adwaita style")
endif()
add_subdirectory(src/adwaita-qt)

option(TEXSTUDIO_ENABLE_TESTS "Enable/Disable internal tests" OFF)
if(${TEXSTUDIO_ENABLE_TESTS})
	message(STATUS "tests enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Test REQUIRED)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DTESTDATADIR="${CMAKE_CURRENT_SOURCE_DIR}/src/tests/testdata")
	set(HEADER_FILES ${HEADER_FILES}
		src/tests/buildmanager_t.h
		src/tests/codesnippet_t.h
		src/tests/encoding_t.h
		src/tests/execprogram_t.h
		src/tests/git_t.h
		src/tests/help_t.h
		src/tests/latexcompleter_t.h
		src/tests/latexdocument_t.h
		src/tests/latexeditorview_bm.h
		src/tests/latexeditorview_t.h
		src/tests/latexoutputfilter_t.h
		src/tests/latexparser_t.h
		src/tests/latexparsing_t.h
		src/tests/latexstyleparser_t.h
		src/tests/qcetestutil.h
		src/tests/qdocumentcursor_t.h
		src/tests/qdocumentline_t.h
		src/tests/qdocumentsearch_t.h
		src/tests/qeditor_t.h
		src/tests/qsearchreplacepanel_t.h
		src/tests/scriptengine_t.h
		src/tests/smallUsefulFunctions_t.h
		src/tests/structureview_t.h
		src/tests/syntaxcheck_t.h
		src/tests/tablemanipulation_t.h
		src/tests/testmanager.h
		src/tests/testutil.h
                src/tests/texstudio_t.h
		src/tests/updatechecker_t.h
		src/tests/usermacro_t.h
		src/tests/utilsui_t.h
		src/tests/utilsversion_t.h
	)
	set(SOURCE_FILES ${SOURCE_FILES}
		src/tests/codesnippet_t.cpp
		src/tests/encoding_t.cpp
		src/tests/execprogram_t.cpp
		src/tests/git_t.cpp
		src/tests/latexcompleter_t.cpp
		src/tests/latexdocument_t.cpp
		src/tests/latexeditorview_bm.cpp
		src/tests/latexeditorview_t.cpp
		src/tests/latexoutputfilter_t.cpp
		src/tests/latexparser_t.cpp
		src/tests/latexparsing_t.cpp
		src/tests/latexstyleparser_t.cpp
		src/tests/qcetestutil.cpp
		src/tests/qdocumentcursor_t.cpp
		src/tests/qdocumentline_t.cpp
		src/tests/qdocumentsearch_t.cpp
		src/tests/qeditor_t.cpp
		src/tests/qsearchreplacepanel_t.cpp
		src/tests/scriptengine_t.cpp
		src/tests/smallUsefulFunctions_t.cpp
		src/tests/structureview_t.cpp
		src/tests/syntaxcheck_t.cpp
		src/tests/tablemanipulation_t.cpp
		src/tests/testmanager.cpp
		src/tests/testutil.cpp
                src/tests/texstudio_t.cpp
		src/tests/usermacro_t.cpp
	)
else()
	message(STATUS "tests disabled.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_TESTS)
endif()

option(TEXSTUDIO_ENABLE_MEDIAPLAYER "Enable/Disable the video player in pdf files" OFF)
if(${TEXSTUDIO_ENABLE_MEDIAPLAYER})
	message(STATUS "the video player in pdf files is enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia MultimediaWidgets REQUIRED)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DMEDIAPLAYER)
else()
	message(STATUS "the video player in pdf files is disabled.")
endif()

option(TEXSTUDIO_ENABLE_DEBUG_LOGGER "Enable/Disable debug logger" OFF)
if(${TEXSTUDIO_ENABLE_DEBUG_LOGGER})
	message(STATUS "Debug logger is built.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DDEBUG_LOGGER)
endif()

# poppler

find_package(PkgConfig)
pkg_check_modules(POPPLER QUIET IMPORTED_TARGET poppler poppler-cpp poppler-qt${QT_VERSION_MAJOR})
if(POPPLER_FOUND)
    message(STATUS "Build internal pdf previewer.")
else()
    message(STATUS "Poppler not found, internal pdf previewer disabled.")
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_POPPLER_PREVIEW)
    if(WIN32)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_WIN32)
    endif()
endif()
add_subdirectory(src/pdfviewer)

# set prefix path on unix
if(UNIX)
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DPREFIX="${CMAKE_INSTALL_PREFIX}")
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DCMAKE_INSTALL_DATADIR="${CMAKE_INSTALL_DATADIR}")
endif()

# Build texstudio application
add_executable(texstudio ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES} ${FORM_FILES} ${OSX_FILES} ${manual} ${images} ${static} ${static_scripts} ${static_styles} ${design_static}
)
target_link_libraries(texstudio PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui

=== src/CMakeLists.txt ===
set(INC_DIRECTORIES
    ${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	CACHE INTERNAL "Additional include directories" FORCE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/aichatassistant.h
    ${CMAKE_CURRENT_SOURCE_DIR}/aiquerystoragemodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.h
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.h
    ${CMAKE_CURRENT_SOURCE_DIR}/collaborationmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanagerinterface.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.h
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.h
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.h
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.h
    ${CMAKE_CURRENT_SOURCE_DIR}/git.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/help.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.h
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/modifiedQObject.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mostQtHeaders.h
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.h
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/session.h
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.h
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.h
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.h
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.h
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.h
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.h
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.h
	CACHE INTERNAL "Header files" FORCE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/additionaltranslations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/aichatassistant.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/aiquerystoragemodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/collaborationmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/git.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/help.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/session.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.cpp
	${CMAKE_BINARY_DIR}/git_revision.cpp
	CACHE INTERNAL "Source files" FORCE
)

set(FORM_FILES ${FORM_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.ui
	CACHE INTERNAL "Source files" FORCE
)

=== src/latexparser/CMakeLists.txt ===
set(INC_DIRECTORIES
	${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/argumentlist.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latextokens.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexparsing.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latex2text.h
    ${CMAKE_CURRENT_SOURCE_DIR}/commanddescription.h
	PARENT_SCOPE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/argumentlist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latextokens.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexparsing.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latex2text.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/commanddescription.cpp
    PARENT_SCOPE
)

=== src/quazip/quazip/CMakeLists.txt ===
project(QuaZip_Library VERSION ${QUAZIP_LIB_VERSION})

include(GNUInstallDirs) # configurable CMAKE_INSTALL_*DIR

cmake_minimum_required(VERSION 3.13)

set(QUAZIP_HEADERS
        JlCompress.h
        ioapi.h
        minizip_crypt.h
        quaadler32.h
        quachecksum32.h
        quacrc32.h
        quagzipfile.h
        quaziodevice.h
        quazip.h
        quazip_global.h
        quazip_qt_compat.h
        quazipdir.h
        quazipfile.h
        quazipfileinfo.h
        quazipnewinfo.h
        unzip.h
        zip.h
   )

set(QUAZIP_SOURCES
        ${QUAZIP_HEADERS}
        unzip.c
        zip.c
        JlCompress.cpp
        qioapi.cpp
        quaadler32.cpp
        quachecksum32.cpp
        quacrc32.cpp
        quagzipfile.cpp
        quaziodevice.cpp
        quazip.cpp
        quazipdir.cpp
        quazipfile.cpp
        quazipfileinfo.cpp
        quazipnewinfo.cpp
   )

set(QUAZIP_INCLUDE_PATH ${QUAZIP_DIR_NAME}/quazip)
set(QUAZIP_INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake)
set(QUAZIP_PKGCONFIG_NAME quazip${QuaZip_VERSION_MAJOR}-qt${QUAZIP_QT_MAJOR_VERSION})

if(EMSCRIPTEN)
    set(BUILD_SHARED_LIBS OFF)
endif()

add_library(${QUAZIP_LIB_TARGET_NAME} ${QUAZIP_SOURCES})
add_library(QuaZip::QuaZip ALIAS ${QUAZIP_LIB_TARGET_NAME})

set_target_properties(${QUAZIP_LIB_TARGET_NAME} PROPERTIES
	VERSION ${QUAZIP_LIB_VERSION}
	SOVERSION ${QUAZIP_LIB_SOVERSION}
	OUTPUT_NAME ${QUAZIP_LIB_FILE_NAME}
	PUBLIC_HEADER "${QUAZIP_HEADERS}"
)
target_include_directories(${QUAZIP_LIB_TARGET_NAME} PRIVATE ${QUAZIP_INC})
target_include_directories(${QUAZIP_LIB_TARGET_NAME} PUBLIC
	$<BUILD_INTERFACE:${QUAZIP_SOURCE_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QUAZIP_DIR_NAME}>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QUAZIP_INCLUDE_PATH}>
)
target_link_libraries(${QUAZIP_LIB_TARGET_NAME} ${QUAZIP_LIB_LIBRARIES} ${QUAZIP_LIB})
if(BUILD_SHARED_LIBS)
	target_compile_definitions(${QUAZIP_LIB_TARGET_NAME} PRIVATE QUAZIP_BUILD) # dllexport
else()
	target_compile_definitions(${QUAZIP_LIB_TARGET_NAME} PUBLIC QUAZIP_STATIC) # suppress dllimport
endif()
target_link_directories(${QUAZIP_LIB_TARGET_NAME} PUBLIC ${QUAZIP_LBD})

include(CMakePackageConfigHelpers)

if(QUAZIP_INSTALL)
    if(BUILD_SHARED_LIBS)
        set(Flavor Shared)
    else()
        set(Flavor Static)
    endif()
    set(QUAZIP_EXPORT_SET ${QUAZIP_PACKAGE_NAME}_${Flavor}Targets)
    write_basic_package_version_file(${PROJECT_BINARY_DIR}/${QUAZIP_PACKAGE_NAME}ConfigVersion.cmake
        COMPATIBILITY SameMajorVersion
    )
    configure_package_config_file(QuaZipConfig.cmake.in ${QUAZIP_PACKAGE_NAME}Config.cmake
        INSTALL_DESTINATION ${QUAZIP_INSTALL_CONFIGDIR}/${QUAZIP_DIR_NAME}
    )
    install(TARGETS ${QUAZIP_LIB_TARGET_NAME} ${QUAZIP_DEP}
        EXPORT ${QUAZIP_EXPORT_SET}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${QUAZIP_INCLUDE_PATH}
    )
    install(EXPORT ${QUAZIP_EXPORT_SET}
        NAMESPACE QuaZip::
        DESTINATION ${QUAZIP_INSTALL_CONFIGDIR}/${QUAZIP_DIR_NAME}
    )
    install(FILES ${PROJECT_BINARY_DIR}/${QUAZIP_PACKAGE_NAME}Config.cmake
                  ${PROJECT_BINARY_DIR}/${QUAZIP_PACKAGE_NAME}ConfigVersion.cmake
        DESTINATION ${QUAZIP_INSTALL_CONFIGDIR}/${QUAZIP_DIR_NAME}
    )

    configure_file(quazip.pc.cmakein ${QUAZIP_PKGCONFIG_NAME}.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QUAZIP_PKGCONFIG_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

=== debian/changelog ===
texstudio (4.9.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 13 Sep 2025 08:25:41 +0200

texstudio (4.8.9) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 11 Jul 2025 19:20:57 +0200

texstudio (4.8.8) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 25 Apr 2025 17:50:21 +0200

texstudio (4.8.7) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 07 Feb 2025 18:58:11 +0100

texstudio (4.8.6) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 13 Dec 2024 19:38:27 +0100

texstudio (4.8.5) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 27 Sep 2024 20:46:49 +0200

texstudio (4.8.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 20 Sep 2024 19:15:59 +0200

texstudio (4.8.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Wed, 28 Aug 2024 19:49:15 +0200

texstudio (4.8.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 07 Jun 2024 19:05:30 +0200

texstudio (4.8.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 11 May 2024 18:09:57 +0200

texstudio (4.8.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Thu, 28 Mar 2024 13:27:35 +0100

texstudio (4.7.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 01 Mar 2024 18:33:01 +0100

texstudio (4.7.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 24 Dec 2023 17:27:52 +0100

texstudio (4.7.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Tue, 05 Dec 2023 18:18:02 +0100

texstudio (4.7.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 02 Dec 2023 11:29:15 +0100

texstudio (4.7.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 25 Sep 2023 19:43:08 +0200

texstudio (4.6.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 11 Aug 2023 18:50:09 +0200

texstudio (4.6.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 30 Jul 2023 22:22:17 +0200

texstudio (4.6.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 30 Jul 2023 10:27:00 +0200

texstudio (4.6.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 28 Jul 2023 18:23:42 +0200

texstudio (4.6.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 07 May 2023 18:52:42 +0200

texstudio (4.5.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 15 Apr 2023 18:28:11 +0200

texstudio (4.5.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 04 Feb 2023 15:42:33 +0100

texstudio (4.5.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 23 Dec 2022 09:58:02 +0100

texstudio (4.4.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 27 Nov 2022 12:25:50 +0100

texstudio (4.4.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 19 Nov 2022 09:35:06 +0100

texstudio (4.4.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 04 Sep 2022 21:44:12 +0200

texstudio (4.3.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 26 Aug 2022 20:10:40 +0200

texstudio (4.3.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 07 Aug 2022 20:46:41 +0200

texstudio (4.3.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 14 May 2022 11:24:02 +0200

texstudio (4.2.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 17 Apr 2022 11:07:46 +0200

texstudio (4.2.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 20 Feb 2022 13:43:54 +0100

texstudio (4.2.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Thu, 27 Jan 2022 20:05:20 +0100

texstudio (4.2.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 09 Jan 2022 11:07:37 +0100

texstudio (4.2.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 27 Dec 2021 20:25:34 +0100

texstudio (4.1.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Tue, 07 Dec 2021 21:06:57 +0100

texstudio (4.1.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 21 Nov 2021 09:20:20 +0100

texstudio (4.1.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 20 Nov 2021 13:30:32 +0100

texstudio (4.0.5) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 06 Nov 2021 18:23:43 +0100

texstudio (4.0.4) unstable; urgency=low

   * new release



=== PKGBUILD ===
# Maintainer: Konstantin Podsvirov <konstantin@podsvirov.su>

_realname=texstudio
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=4.9.0
pkgrel=1
pkgdesc="Integrated writing environment for creating LaTeX documents (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://texstudio.sourceforge.net/"
msys2_repository_url='https://github.com/texstudio-org/texstudio'
msys2_changelog_url='https://texstudio-org.github.io/CHANGELOG.html'
license=('spdx:GPL-3.0-or-later')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs"
         "${MINGW_PACKAGE_PREFIX}-hunspell"
         "${MINGW_PACKAGE_PREFIX}-poppler-qt6"
         "${MINGW_PACKAGE_PREFIX}-qt6-5compat"
         "${MINGW_PACKAGE_PREFIX}-qt6-base"
         "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
         "${MINGW_PACKAGE_PREFIX}-qt6-multimedia"
         "${MINGW_PACKAGE_PREFIX}-qt6-svg"
         "${MINGW_PACKAGE_PREFIX}-quazip-qt6"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-pkgconf"
             "${MINGW_PACKAGE_PREFIX}-qt6-tools")
optdepends=("${MINGW_PACKAGE_PREFIX}-evince: pdf reader")
source=("${msys2_repository_url}/archive/${pkgver}/${_realname}-$pkgver.tar.gz"
        '0001-install-extra-files-on-mingw.patch'
        '0002-texstudio-4.2.2-fallbackpaths-win32-as-unix.patch')
sha256sums=('b6facbe29b1387e9a9888cada2b5da6969dc3f1dcd24d171002b746df576b952'
            'b89f798f910e54dc6618edc09ab2834537897b5b18e0590fcb75c3530d4796fb'
            'a9f1dfadf40aa434b687e6a5738f7a61a1dabe258abc9b8f34f181987b25cf81')

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
    cd "${srcdir}"/${_realname}-${pkgver}

    apply_patch_with_msg \
      0001-install-extra-files-on-mingw.patch \
      0002-texstudio-4.2.2-fallbackpaths-win32-as-unix.patch
}

build() {
    mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

    declare -a _extra_config
    if check_option "debug" "n"; then
        _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
    else
        _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
    fi

    if [[ ${CARCH} == aarch64 ]]; then
      _extra_config+=("-DTEXSTUDIO_ENABLE_CRASH_HANDLER=OFF")
    fi

    MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    ${MINGW_PREFIX}/bin/cmake.exe -Wno-dev \
        -GNinja \
        -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
        -DTEXSTUDIO_ENABLE_MEDIAPLAYER=ON \
        "${_extra_config[@]}" \
        ../${_realname}-${pkgver}

    ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
    cd "${srcdir}/build-${MSYSTEM}"

    DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .

    install -Dm644 "${srcdir}"/${_realname}-${pkgver}/COPYING \
      "${pkgdir}"${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE
}
